function [res] = isidentical(varargin)
% function [res] = isidentical(a,b,...)
%
% Ueberprueft beliebig viele Felder, ob sie die gleiche Dimension 
% Groesse haben.
%
% Output: res - TRUE, wenn alle bereinstimmen
%               FALSE, sonst

res = logical(1);

len_in = length(varargin);
if len_in < 2
    res = logical(0);    
    error('Nichts zu vergleichen!"');
else
    a = varargin{1};
    for k = 2:len_in
        b = varargin{k};
        if ndims(a) ~= ndims(b)
            res = logical(0);
            break
        else
            if any( size(a) ~= size(b) )
                res = logical(0);
                break
            end
        end
    end
end
       