function [x1,x2] = quadgl(a,b,c)
% Loest die quadratische Gleichung: a.*x.^2 + b.*x + c = 0
%
% Input:  a, b, c      : Felder mit Koeffizienten 
%                         Gleiche Grsse
%                         Reelle Werte
%
% Output: 
%   a~=0               : x1; x2; quadratisch
%   a==0 & b~=0        : x1 = -c/b; x2 = NaN; linear
%   a==0 & b==0 & c==0 : Triviale Loesung x1 = x2 = 0;
%   a==0 & b==0 % c~=0 : Keine Loesung    x1 = x2 = NaN;
%
% Methode: Direkte Loesung mit Formel

% NaN :    Not a Number
% nargin:  Number of input arguments
% nargout: Number of output arguments
%
% isidentical: Ueberprueft auf gleiche Dimension und Groesse
%
% Author:


% Ueberpruefung: Anzahl

% Ueberpruefung: Gleichheit von Dimension und Groesse

% Ueberpruefung: Numerische Werte

% Ueberpruefung: Reelle Groessen

% Logische Indices fr Ausnahmefaelle

% Schaltet Warnung aus (eventuelle Division durch Null)
% ws ist der vorherige Warnungsstatus 
% ws = warning('off');

% Allgemeine Loesung
% Zuerst Diskriminante berechnen, dann die beiden Loesungen

% Ungueltige Loesungen obiger Formel gleich NaN setzen

% Setzt Warnungsstatus zurueck auf vorherigen Zustand 
% warning(ws);

% Lineare Loesungen, Warnung

% Triviale Loesungen, Warnung

% Keine Loesungen, Warnung
