% Skript exponentialfit.m
%
% Autor: Winfried Koller
% Datum: 22. Juni 2001

close all
clear all

N=input (' Geben Sie die Zahl der Zufallszahlen ein : ');
if isempty(N), N=1000;end;
N=floor(N);

if N<200,  N=200;  end
if N>1e+6, N=1e+6; end

u=rand(N,1);
hist (u,30);

figure
v=-log(u);
hist(v,25);

[y,x]=hist(v,25);

p=inline('b(1)*exp(-b(2)*x)','b','x')

hold on

A=max(y);
alpha=1/2;

b0=[A,alpha];
b=nlinfit(x,y,p,b0);

disp([' Parameter alpha der Verteilung ',num2str(b(2))]);
disp([' Parameter A der Verteilung ',num2str(b(1))]);
xx=linspace(0,max(v));
yy=p(b,xx);
plot (xx,yy,'y','LineWidth',4);
hold off
