x = linspace(-2,2,21);
y = linspace(-1,1,21);
z = linspace(-3,3,21);


[x1,y1] = meshgrid(x,y);
z1 = zeros(size(x1)) - 3;
mh1 = mesh(x1,y1,z1,z1);

hold on;
[x2,z2] = meshgrid(x,z);
y2 = zeros(size(x2));
mh2 = mesh(x2,z2,y2,z2);

yd = get(mh2,'ZData');
zd = get(mh2,'YData');
set(mh2,'YData',yd);
set(mh2,'ZData',zd);

[y3,z3] = meshgrid(y,z);
x3 = zeros(size(y3));
mh3 = mesh(z3,y3,x3,z3);

xd = get(mh3,'ZData');
zd = get(mh3,'XData');
set(mh3,'XData',xd);
set(mh3,'ZData',zd);


hold off