function lq = modelllq(par,xdata,ydata);
% Retourniert fr die nichtlineare Modellfunktion modellnl
% die Summe der Abstandsquadrate.
%
% Input:  par           Parameter
%         xdata, ydata  Datenwerte
% Output: lq            Summe der Abstandsquadrate (SKALAR)

% Autor Winfried Kernbichler 12.12.1999
y = modellnl(par,xdata);
lq = sum( (y - ydata).^2 );

