% Beispiel fr die Verwendung von nlinfit
% Modellfuntkion: y=a*ln(x+1)-b*x


% generieren von verrauschten Messdaten 
x=[0:0.1:20];
rausch=0.1.*randn(1,length(x));
y=3.*log(x+1)-0.4.*x+rausch;

% plotten der 'Medaten'
plot(x,y);
hold on;

% fitten mit nichtlinearer Modellfunktion
% 'geratene' Startwerte Parameter a und b 
para0=[2.5 0.5];
par=nlinfit(x,y,'fitmodell',para0);

% gefittetes Ergebnis
plot(x,fitmodell(par,x),'-r');
hold off;
