% script2
%
% Demo: Gre von Polarplots festlegen
%
% Autor:           Alexander Prll
% Erstellt, am:    29.11.1999
% Modifiziert, am: 
%
% Handle der Figur ermitteln
fig_handle = figure;

% Ausgabefenster lschen
clf;

% Daten erzeugen
phi = linspace(0,2*pi,1000);
r1  = 1+cos(phi);
r2  = sin(phi)+cos(phi)+2*sin(phi);

% max. Wert fr r suchen
maxval = max( max( [r1; r2] ) );

% unschne Methode um Polarplot in entsprechender Gre zu ffnen
figure(fig_handle);
polar(0, maxval);
hold on;

% Daten zeichnen
handle1 = polar(phi, r1, 'b');
handle2 = polar(phi, r2, 'r');

% handles in Vektor zusammenfassen
p_handles = [handle1 handle2];

% Legende erstellen
legend(p_handles, 'Kurve 1', 'Kurve 2', 0)

hold off;




