% Matlab Script File zum Ueben einfacher Befehle
%
% Meshgrid, logische Indizierung 
%
% Applikationssoftware und Programmierung
% TU Graz SS 2001
% Winfried Kernbichler
%
% input   : Eingabe
% disp    : Dient zur Anzeige
% pause   : Stoppt Ausfuehrung und wartet auf Tastendruck
% ;       : Resultat wird nicht angezeigt
% ' '     : Kennzeichnet Zeichenketten (Strings)
% num2str : Umwandlung von Zahlen in Zeichenkketten
% plot    : Einfache graphische Darstellung
%
% Viel Erfolg, viel Spass! 
% 
% Student(in): 
% Datum:

% Definition
m = 4; n = 5;

% Matrix z: m gleiche Zeilen  [1:n]
% Matrix s: n gleiche Spalten [1:m]
[z,s] = meshgrid(1:n,1:m)


% Erste Matrix
v = z + 10*s

disp('Pause - Bitte Taste druecken!'); pause

% Elemente die durch drei teilbar sind
% Logischer Index (Matrix)
liad = mod(v,3)==0;
% Linearer Index
iad = find(liad);
% Sub-Indices
[miad,niad]=ind2sub(size(liad),iad);

% Wie viele sind es
anz = length(iad);
anz = sum(liad(:)) % Alternative

% Wie viele stehen in den einzelnen Spalten und Zeilen
anz_s = sum(liad)
anz_z = sum(liad,2)

disp('Pause - Bitte Taste druecken!'); pause

% Zweite Matrix
w = (z+2) .* s

% Definition der Schranken
su = 9; so = 13;

% Anzahl der Elemente 
liv = w <= su | w >= so
anzv = sum(liv(:))

% Ersetzen von Werten
w(w <= su) = su; w(w >= so) = so