format rat;

n = 93;

[p,q] = meshgrid(1:n);
rm = p ./ q;

r  = rm(rm<1);
ind = find(rm<1);
p  = p(ind); q  = q(ind);

[rvs,ind] = sort(r);
p = p(ind); q = q(ind);

[rvu,ind] = unique(rvs);
p = p(ind); q = q(ind);

rv = transpose(rvu);
p  = transpose(p); q  = transpose(q);

l = length(rv);

grv  = gradient(rv);
[mgrv,indm] = max(grv);
rat1 = rv(indm);

plot(rv,grv,'.')

figure(2)
plot(rv)

grv(indm) = NaN;
mgrv = max(grv);
indm = find(abs(grv-mgrv)<eps);
rat2 = rv(indm);

disp(['len: ',num2str(l)]);
disp(' ');
disp(rat1);
disp(rat2);

format short