function [a,b,c] = func7(nmax)

af = inline('(pi^2 -(x-pi).^2).*cos(n*x)','x','n');
bf = inline('(pi^2 -(x-pi).^2).*sin(n*x)','x','n');
cf = inline('pi^2 -(x-pi).^2','x');

a = zeros(1,nmax);
b = zeros(1,nmax);

c = 0.5*quadl(cf,0,2*pi);

for k = 1:nmax
    a(k) = quadl(af,0,2*pi,[],[],k);
    b(k) = quadl(bf,0,2*pi,[],[],k);
end