% Einige Beispiele zur Verwendung von spezmat
% Generierung von speziellen Matrizen
%
% Autor: Winfried Kernbichler    14.11.1999
echo off
p = 1;
m_min = 6; mm = 8; m_max = 16;
n_min = 1; nn = 4; n_max = 8;
oo = 4;

% Beispiel fr Schachbrett
for m = m_min:m_max
   spezmat('schach',m,nn,oo);
   pause(p)
end
pause

% Beispiel mit greren Schachfeldern
for n = n_min:n_max
   spezmat('schachblock',mm,n,oo);
   pause(p)
end
pause

% Beispiel mit Diagonalen
mm = 20;
n_min=3;n_max=19;
for n = n_min:n_max
   spezmat('sumdiag',mm,n,oo);
   pause(p)
end
pause

% Beispiel mit Netz
mm = 20;
nn = 1;
o_min=1;o_max=18;
for o = o_min:o_max
   spezmat('netz',mm,nn,o);
   pause(p)
end
pause

% Beispiel mit diagonalen Linien
mm = 20;
nn = 1;
o_min=3;o_max=20;
for o = o_min:o_max
   spezmat('dlinien',mm,o,o);
   pause(p)
end
pause

% Beispiel mit diagonalem Netz
mm = 20;
nn = 1;
o_min=3;o_max=20;
for o = o_min:o_max
   spezmat('dnetz',mm,o,o);
   pause(p)
end
pause


echo on